%define	name	pmac-utils
%define	version	2.0
%define	release	5mdk

Summary:	PowerPC Linux system utilities
Name:		pmac-utils
Version:	%{version}
Release:	%{release}
Group:		System/Configuration/Hardware
License:	GPL
Source:		pmac-utils-%{version}.tar.bz2
Patch0:		nvsetenv-man-patch.bz2
Patch1:		pmac-utils-mousemode-patch.bz2
Patch2:		pmac-utils-makefile-patch.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
BuildRequires:	sgml-tools linuxdoc-tools
ExclusiveArch:	ppc

%description
PPC-Linux-specific applications including macos, mousemode, nvsetenv, nvvideo.

%prep

%setup -q
%patch0 -p0
%patch1 -p0
%patch2 -p0

%build
%make CFLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std man8dir=%{_mandir}/man8
rm -f $RPM_BUILD_ROOT{/sbin/,%{_mandir}/man8/}macos*

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ ! -c /dev/nvram ]; then
	echo "Creating /dev/nvram ..."
	mknod /dev/nvram c 10 144
	chmod 644 /dev/nvram
fi

%files
%defattr(-, root, root) 
/sbin/mousemode
/sbin/nvsetenv
/sbin/nvvideo
%{_mandir}/man8/mousemode.8*
%{_mandir}/man8/nvsetenv.8*
%{_mandir}/man8/nvvideo.8*

%changelog
* Mon Aug 23 2004 Stew Benedict <sbenedict@mandrakesoft.com> 2.0-5mdk
- rebuild

* Mon Jul 21 2003 Per yvind Karlsen <peroyvind@sintrax.net> 2.0-4mdk
- macroize
- cleanups
- use %%makeinstall_std macro
- fix location of man pages
- rm -rf $RPM_BUILD_ROOT at the beginning of %%install
- quiet setup
- use $RPM_OPT_FLAGS
- buildrequires
- remove unpackaged files

* Fri Dec 27 2002 Stew Benedict <sbenedict@mandrakesoft.com> 2.0-3mdk
- rebuild for new glibc/rpm

* Wed Feb  6 2002 Stew Benedict <sbenedict@mandrakesoft.com> 2.0-2mdk
- remove macos command - just blows up OF settings
- s/Copyright/License/ - no known URL

* Thu May 10 2001 Stew Benedict <sbenedict@mandrakesoft.com> 2.0-1mdk
- repackaged for Linux Mandrake PPC - again. lost?
- repatch nvsetenv.8
- patch mousemode.c for kernel version locations of adb.h, cuda.h
- move man pages to /usr/local/man
- add BuildRequires

* Tue Jul  4 2000 Hollis Blanchard <hollis@andrew.cmu.edu>
- incorporated Klaus Halfmann's New World nvram additions (w/ compatibility patch)
- re-added macos and macos.8 (now that nvsetenv works again)
- hacked up pmac-utils-1.1.1. Removed:
  - vmode (use fbset)
  - sndvolmix (doesn't work; use aumix etc)
  (mousemode is probably no longer necessary but probably still works)
- hacked up Makefile
- fixed nvsetenv.8 (major/minor "1yy/10" -> "10/144")

* Sun Feb 27 2000 Dan Burcaw <dburcaw@yellowdoglinux.com>
- removed macos and macos.8

* Fri Jul 10 1998 Matt McLean <keys@yikes.com>
- rework spec
- move mousemode and vmode to /sbin
- remove fdeject, obsolete
- update mousemode
